<template>
    <div class="flex justify-center">
        <div class="w-full mt-10 md:w-2/3 rounded-lg shadow-xl bg-white mb-20 pb-5">
            <div class="w-full">
                <input type="text" v-model="query" class="py-2 px-3 m-3 border rounded" placeholder="FirstName">
            </div>
            <table class="table-auto w-full">
                <thead>
                    <tr class="bg-gray-100">
                        <th v-for="header of headers" :key="header.id" v-text="header.name" class="py-2"></th>
                        <th class="py-2"></th>
                    </tr>
                </thead>
                <tbody>
                    <tr v-for="user of contents" :key="user.id">
                        <td v-for="header of headers" :key="header.id" 
                            class="text-center py-2">
                            {{ user[header.name]}}
                        </td>
                        <td>
                            <span class="text-center py-0 cursor-pointer text-white bg-yellow-500 px-3 rounded">Edit</span>
                            <modal :user="user"></modal>
                        </td>
                    </tr>
                </tbody>
            </table>
        </div>
    </div>
</template>

<script>
import Modal from './Modal.vue';
import search from '/API/search.json'
export default {
  components: { Modal },
    name: 'users-table',
    props:[ 'config' ],
    data(){
        return{
            headers:[],
            query:'',
            contents:[]
        }
    },
    watch:{
        config(val){
            this.headers = val.headers;
        },
        query(val){
            this.search();
        }
    },
    mounted(){
        this.contents = search;
    },
    methods:{
        search(){
            this.$axios.post(response => {
                if(response.status === 200){
                    //
                }
            })
        }
    }
}
</script>